Bug 8991 - No obvious linkage between bug # and bug fix RPM
No obvious linkage between bug # and bug fix RPM
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.8
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-30 15:06 EST by genepaul
Modified: 2007-04-18 12:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-06 21:24:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description genepaul 2000-01-30 15:06:56 EST
Discovered my bug in bugzilla many places (8554, 6970, 8227, 8080, 8147,
8441, 7769, etc.). All claim to be corrected, and in some cases are
cross-linked within bugzilla.  BUT, I painstakingly searched the errata/bug
fix RPM descriptions, and found none of the above bugs referenced as being
fixed.  And it is not obvious from the name of any of the bug fix RPMs
which would apply.  I spent hours downloading the lot, and trying to get
them to install, only to find that the dependencies got me.  The install
order is not definitized in the generic rpm instructions given:

	rpm -Uvh  filename

When you get a service pack for a windows product from M$, it comes with
the install sequence, so that the dependencies are accounted for.  For
large numbers of files it is important to provide the order. Your automatic
software installer script/software knows the order, but the barefoot
sysadmin (human) trying to pump the system up with a fix doesn't,
necessarily.

1)  Recommend a highly visible link from each bug (on the bug description
page in bugzilla) which is claimed to be fixed pointing to the fixing
package(s).

2)  Recommend inclusion of sequence and dependency text with each RPM set
which is available as a fix.  Or better yet, a "fix" RPM which includes all
the files in appropriate sequence to implement a fix.  Not unlike we used
to do with patches.  There is something to be said for having a package
which completely fixes a problem - sort of one stop shopping.  Extra work
on the part of one person putting the package together, much less work on
the part of tens of thousands who want their systems to work.


I don't like to be critical - I am an admirer of Red Hat.  But I have been
using various Linux distributions from Yggdrasil, Slackware, SuSe and Red
Hat for many years.  This is the first time I have ever experienced so much
difficulty trying to get X up.  I know, given this particular problem, the
responsibilities stretch from the X guys, to the XFree86 folks, to RH.  You
are just the last node on the food chain, and I paid my $29.95 to you for
your package, which I have been struggling to get up, not the X guys or the
XFree guys.


Respectfully,

Gene Montgomery
genepaul@flash.net
Comment 1 Aleksey Nogin 2004-01-19 04:38:53 EST
Well, with Bugzilla now having a "fixed in version ..." field, should
this be closed?
Comment 2 Aleksey Nogin 2004-05-06 21:24:26 EDT
The "Fixed in version" field should provide the package versions now.

Note You need to log in before you can comment on or make changes to this bug.